This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448867 - (perl-parent) Review Request: perl-parent - Establish an ISA relationship with base classes at compile time
Review Request: perl-parent - Establish an ISA relationship with base classes...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/parent/
:
Depends On:
Blocks: 439706 perl-duallifed
  Show dependency treegraph
 
Reported: 2008-05-29 01:37 EDT by Chris Weyl
Modified: 2012-02-23 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 13:16:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-05-29 01:37:11 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-parent-0.221-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-parent.spec

Description:
Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time. Mostly similar in effect to:

    package Baz;

    BEGIN {
        require Foo;
        require Bar;

        push @ISA, qw(Foo Bar);
    }
Comment 1 Chris Weyl 2008-05-29 01:38:30 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=634256

This package is a new dep of Catalyst::Devel 0.106.
Comment 2 Jason Tibbitts 2008-06-18 16:11:43 EDT
Really nothing to say here.

* source files match upstream:
   a04211e6fb2bf12913c63f904483550554013737ed8e1302fcbadca22ed3509e  
   parent-0.221.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(parent) = 0.221
   perl-parent = 0.221-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=34,  0 wallclock secs ( 0.13 cusr +  0.03 csys =  0.16 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Chris Weyl 2008-06-18 16:46:01 EDT
New Package CVS Request
=======================
Package Name: perl-parent
Short Description: Establish an ISA relationship with base classes at compile time
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Jason Tibbitts 2008-06-18 20:32:52 EDT
CVS done.
Comment 5 Chris Weyl 2008-06-19 13:16:31 EDT
Imported and building.  Thanks for the review :)
Comment 6 Paul Howarth 2012-02-07 14:48:59 EST
Package Change Request
======================
Package Name: perl-parent
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig

I'm not requesting an EL-6 branch as this package is included in RHEL-6.
Comment 7 Gwyn Ciesla 2012-02-07 14:55:38 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-02-07 16:08:53 EST
perl-parent-0.225-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-parent-0.225-6.el5
Comment 9 Fedora Update System 2012-02-23 18:03:32 EST
perl-parent-0.225-6.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.